SULOGIN(8)

NAZWA
sulogin - login w trybie jednoużytkownikowym

SKŁADNIA

sulogin [opcje] [tty]

OPIS

sulogin jest przywoływany przez init, gdy system przechodzi w tryb jednoużytkownikowy.

Wyświetlany jest następujący komunikat zachęty:

Give root password for system maintenance (or type Control-D for normal startup): (Podaj hasło roota do konserwacji systemu lub wciśnij ^D aby kontynuować zwykły start)

Gdy konto roota jest zablokowane i podano opcję --force, hasło nie jest wymagane.

sulogin będzie podłączony do bieżącego terminala lub do opcjonalnego urządzenia tty podanego w wierszu polecenia zwykle (/dev/console).

Po tym, jak użytkownik wyjdzie z trybu jednoużytkownikowego lub wciśnie control-D po wyświetleniu zachęty, system będzie kontynuował rozruch.

OPCJE

-e, --force
    Jeśli domyślna metoda pozyskania hasła roota z systemu za pomocą getpwnam(3) nie powiedzie się, to sprawdzane są pliki /etc/passwd i /etc/shadow. Jeśli są one uszkodzone lub nie istnieją lub gdy konto roota jest zablokowane symbolem ! lub * na początku hasła, to sulogin wywoła powłokę roota bez pytania o hasło.

    Opcji -e należy używać tylko, gdy jest się pewnym, że konsola jest fizycznie zabezpieczona przed nieautoryzowanym dostępem.

-p, --login-shell
    Podanie ten opcji spowoduje, że sulogin uruchomi proces powłoki jako powłokę zgłoszeniową.

-t, --timeout sekundy
    Określa maksymalny czas oczekiwania na reakcję użytkownika. Domyślnie sulogin będzie czekał wiecznie.

-h, --help
    Wyświetla ten tekst i kończy pracę.

-V, --version
    Wyświetla informacje o wersji i kończy działanie.

ŚRODOWISKO

sulogin szuka zmiennych środowiskowych SUSHELL lub sushell, aby określić którą powłokę uruchomić. Jeśli zmienna środowiskowa nie jest ustawiona, to program spróbuje wykonać powłokę roota z pliku /etc/passwd. Jeśli to również się nie powiedzie, to na końcu wykorzystana zostanie powłoka /bin/sh.

AUTORZY

sulogin było napisane przez Miquela van Smoorenburga dla sysvinit i później przeportowane dla util-linux przez Dave'a Reisnera i Karela Zaka.

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

Polecenie sulogin jest częścią pakietu util-linux i można je pobrać ze strony

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.